package testing;

import static org.junit.jupiter.api.Assertions.*;

import java.io.IOException;

import org.junit.jupiter.api.Test;
import weather.*;

class Test_TemperatureDatabase
{
  @Test
  void readTest() throws IOException
  {
    String PATH = "/home/bernstdh/jmu/bernsteinmaterials/scaffolding/";
    TemperatureDatabase tdb = new TemperatureDatabase("Virginia");
    TemperatureTable tt;
    
    tt = new TemperatureTable();
    tt.read(PATH + "Charlottesville");
    String charlottesvilleLocality = tt.getLocality();
    tdb.put(charlottesvilleLocality, tt);
    
    tt = new TemperatureTable();
    tt.read(PATH + "DaleEnterprise");
    String harrisonburgLocality = tt.getLocality();
    tdb.put(harrisonburgLocality, tt);
    
    
    tt = tdb.get(charlottesvilleLocality);
    assertEquals(69.0666667, tt.getAverageMax(2012, 4), 0.01);
    assertEquals(44.9333333, tt.getAverageMin(2012, 4), 0.01);
    
    tt = tdb.get(harrisonburgLocality);
    assertEquals(45.0000000, tt.getAverageMax(2017, 12), 0.01);
    assertEquals(24.7096774, tt.getAverageMin(2017, 12), 0.01);
  }
}
